---
next: ./app-details-page
prev: ./adb-over-tcp
sidebarDepth: 2
---

# Главная страница

На главной странице перечислены все установленные приложения (или список приложений, предоставленных любым сторонним приложением), а также приложения, для которых есть резервные копии. Одиночное нажатие по любому элементу установленного приложения открывает соответствующую страницу [«Сведения о приложении»][4]. Используя опцию [сортировка](#сортировка) в меню, приложения можно отсортировать различными способами и сохранять настройку сортировки при закрытии. Также можно фильтровать элементы в соответствии с вашими предпочтениями, используя опцию [фильтрации](#фильтр) в меню. Вы можете фильтровать, используя более одной опции. Вы также можете фильтровать приложения по ярлыкам приложений или имени пакета с помощью кнопки поиска.

::: details Таблица содержания
[[toc]]
:::

## Пакетные операции
На этой странице также доступны пакетные операции или операции с несколькими приложениями (для большинства этих операций требуются root-права или [ADB через TCP][1]). Чтобы включить режим множественного выбора, нажмите на значок любого приложения или коснитесь и удерживайте название любого приложения. После этого вы можете использовать обычное нажатие для выбора приложений вместо открытия страницы [«Сведения о приложении»][4]. Эти операции включают в себя:
- Резервное копирование файлов APK (без root)
- [Резервное копирование/восстановление, удаление данных приложения][backup_restore]
- Очистка данных приложений
- Отключение/удаление/закрытие приложений
- Отключение фонового режима
- Блокировать рекламу и компоненты трекера
- Экспорт правил блокировки
- Добавить выбранные приложения в [профиль][profiles]

## Цветовые коды
Вот список цветов, используемых на этой странице, и их значения:
- <code style="background-color: #FCEED1; color: #000">Светло-серовато-оранжевый (светлая тема)</code> или <code style="background-color: #091F36; color: #FFF">темно-синий (темная тема)</code> - приложение выбрано для пакетной операции
- <code style="background-color: #FF8A80; color: #000">Светло-красный (светлая тема)</code> или <code style="background-color: #4F1C14; color: #FFF">очень темно-красный (темная тема)</code> - отключенное приложение
- <code style="background-color: yellow; color: #000">Желтая звезда</code> - приложение находится в режиме отладки
- <code style="color: #E05915">Оранжевая дата</code> - приложение может читать логи (разрешение предоставлено)
- <code style="color: #E05915FF">Оранжевый UID</code> - идентификатор пользователя используется приложениями совместно
- <code style="color: #E05915FF">Oранжевый SDK/размер</code> - использует слабый протокол (например, HTTP)
- <code style="color: red">Красный</code> - приложение не позволяет очищать данные
- <code style="color: red">Красный _бекап_</code> - Приложение не установлено, но имеет одну или несколько резервных копий
- <code style="color: #09868BFF">Темно-голубое имя пакета</code> - приложение остановлено или принудительно закрыто
- <code style="color: #09868BFF">Темно-голубая версия</code> - неактивное приложение
- <code style="color: magenta">Пурпурный</code> - постоянное приложение, т. е работает все время

## Типы приложений
Приложение бывают либо **пользовательскими**, либо **системными** вместе со следующими кодами:
- `X` - приложение поддерживает несколько архитектур: 32-битную, 64-битную или arm-v7, arm-v8 и т. д.
- `0` - в приложении нет кода
- `°` - приложение находится в приостановленном состоянии
- `#` - приложение запросило большую кучу
- `?` - приложение запросило запуск виртуальной машины в безопасном режиме

## Информация о версии
После названия версии следуют следующие префиксы:
- `_` – нет аппаратного ускорения
- `~` – только тестовый режим
- `debug` – отлаживаемое приложение

## Меню опций
В меню опций есть несколько опций, которые можно использовать для сортировки, фильтрации перечисленных приложений, а также для перехода к различным страницам.

### Инструкции
Нажатие на инструкции открывает оффлайн версию документации App Manager. Она открывает онлайн версию, если не установлен соответствующий раздел функций. <tt>feat_docs</tt>.

### Параметры списка
Параметры списка содержат параметры для сортировки или фильтрации списка приложений.

#### Сортировка
Приложения, перечисленные на главной странице, можно отсортировать несколькими способами. Настройки сортировки сохраняются, что означает, что приложения будут отсортированы так же, как при предыдущем запуске. Однако независимо от ваших предпочтений сортировки приложения сначала сортируются в алфавитном порядке, чтобы предотвратить случайные результаты.
- **Сначала пользовательские.** Пользовательские приложения будут отображаться первыми
- **Название приложения.** Сортировка по возрастанию на основе названий (также известны как _ярлыки приложений_). Это значение сортировки по умолчанию
- **Имя пакета.** Сортировка по возрастанию по именам пакетов
- **Последнее обновление.** Сортировка в порядке убывания по дате обновления пакета (или дате установки, если это недавно установленный пакет)
- **Общий идентификатор пользователя.** Сортировка по убыванию на основе идентификатора пользователя ядра
- **Целевая версия SDK.** Сортировка по возрастанию в зависимости от целевой SDK
- **Подпись.** Сортировка в порядке возрастания на основе информации о подписи приложения
- **Сначала отключенные.** Отключенные приложения будут отображаться первыми
- **Сначала заблокированые.** Сортировка по убыванию в зависимости от количества заблокированных компонентов
- **Сначала резервные копии.** Отображать приложения с резервными копиями сверху

Существует также опция _Обратный порядок_ для сортировки приложений в обратном порядке.

#### Фильтр
Приложения, перечисленные на главной странице, можно отфильтровать несколькими способами. Как и в случае с сортировкой, настройки фильтрации также сохраняются после после перезапуска.
- **Пользовательские приложения** - отображение только пользовательских приложений
- **Системные приложения** - отображение только системных приложений
- **Системные приложения** - отображение только системных приложений
- **Приложения с правилами** - отображение только приложений с правилами блокировки
- **Приложения с активити** - отображение только приложений с одной или несколькими активити
- **Приложения с резервными копиями** - отображение только приложений с одной или несколькими резервными копиями (включая удаленные приложения)
- **Работающие приложения** - отображение только работающих приложений (как на переднем плане, так и в фоне)
- **Разделенные приложения** - отображение только приложений с одним или несколькими раздельными APK
- **Установленные приложения** - отображать только установленные приложения

В отличие от сортировки, вы можете фильтровать приложения, используя более одного параметра. Например, вы можете просмотреть все отключенные пользовательские приложения, фильтруя списки приложений, используя кнопки показа _пользовательских приложений_ и _отключенных приложений_. Это особенно полезно для [пакетных операций,](#пакетные-операции) в которых вы можете фильтровать все пользовательские приложения для выполнения определенных операций.

### Операции в один клик
**Операции в один клик**. Вы можете напрямую открыть соответствующую страницу, нажав на эту опцию.

_Смотрите также: [страница «Операции в один клик»][5]_

### Использование приложений
Статистику использования приложения, среди которой _время экрана_, _использование данных_ (мобильный и Wi-Fi), _количество запусков_ можно получить, нажав на опцию **использование приложений** в меню (требует наличия разрешения _доступ к истории использования_).

### Конфигурация системы
Отображает различные системные настройки и белые списки/черные списки, включенные в Android либо OEM/поставщиком, AOSP или даже некоторые модули Magisk.

### Работающие приложения
Список работающих приложений или процессов можно просмотреть, нажав на опцию **работающие приложения** в меню (требует root или [ADB][1]). Работающие приложения или процессы также могут быть принудительно остановлены или закрыты на странице результата.

### APK Updater
Если у вас установлено приложение [APK Updater][3], вы можете использовать соответствующую опцию в меню, чтобы напрямую открыть приложение. Параметр скрыт, если у вас не установлено это приложение.

### Профили
Открывает страницу [профилей][profiles]. Профили - это способ настраивать часто используемые задачи. Вы также можете добавить ярлыки профилей в лаунчер для их непосредственного запуска.

### Termux
Если у вас установлено приложение [Termux][2], вы можете напрямую перейти к текущему сеансу или открыть новый, используя опцию **Termux** в меню.

### Настройки
Вы можете перейти в [настройки приложения][settings] нажатием на соответствующую опцию в правом верхнем углу.

[1]: ./adb-over-tcp.md
[2]: https://github.com/termux/termux-app
[3]: https://github.com/rumboalla/apkupdater
[4]: ./app-details-page.md
[5]: ./one-click-ops-page.md
[settings]: ./settings-page.md
[profiles]: ./profiles-page.md
[backup_restore]: ./backup-restore.md
