---
next: false
sidebarDepth: 2
---

# Страница «Настройки»
Настройки можно использовать для настройки поведения приложения.

::: details Таблица содержания
[[toc]]
:::

## Язык
Настройка языка в приложении. Текущая версия App Manager поддерживает 12 (двенадцать) языков.

## Тема приложения
Настройка темы приложения.

## Режим работы
Вы можете выбрать один из четырех вариантов:
- **Авто.** Пусть AM выберет подходящий для вас вариант. Хотя этот параметр по умолчанию, он может вызвать проблемы на некоторых устройствах.
- **Root.** Выбор root режима. AM будет запрашивать права суперпользователя, если они еще не предоставлены. Но если выбрано, AM будет работать в корневом режиме, даже если вы не разрешите root. Это может привести к сбоям, поэтому вы не должны включать его, если вы не предоставили root.
- **ADB через TCP.** Включит режим [ADB через TCP][1]. AM может зависать, если вы не включили ADB через TCP.
- **Без-Root.** AM запускается в режиме без-root. AM будет работать лучше, если это включено, но все функции root/ADB будут отключены.

## Доступ к истории использования
Отключение этой опции отключит страницу **использование приложения**, а также _использование данных_ и _информация о хранилище приложения_ во вкладке [«О приложении»][3]. Если отключить эту опцию, App Manager никогда не будет запрашивать разрешение _доступ к истории использованию_.

## Подписание APK
### Схема подписания
Выберите используемую [схему подписания](https://source.android.com/security/apksigning). Рекомендуется использовать по крайней мере схемы подписи v1 и v2. Если вы запутались, используйте кнопку _ Восстановить значения по умолчанию _.

## Правила

### Глобальная блокировка компонентов
Включение глобальной блокировки компонентов. По умолчанию правила блокировки не применяются, если они не применены на странице [«Сведения о приложении»][2] для какого-либо пакета. После включения этой опции, все (старые и новые) правила применяются немедленно для всех приложений без явного включения блокировки для какого-либо приложения.

::: warning Обратите внимание
Включение этого параметра может иметь некоторые непредвиденные побочные эффекты, например, будут применяться правила, которые не были полностью удалены. Поэтому, соблюдайте осторожность. Эту опцию следует оставить отключенной, если она по каким-либо причинам не требуется.
:::

_Смотрите также: [Что такое глобальная блокировка компонентов?][7]_

### Импорт/экспорт правил блокировки
В App Manager можно импортировать или экспортировать правила блокировки для всех приложений. Вы можете экспортировать или импортировать только определенные правила (компоненты, операции приложений или разрешения) вместо их всех. Также можно импортировать правила блокировки из [Blocker][4] и [Watt][5]. Если необходимо экспортировать правила блокировки для одного приложения, используйте соответствующую страницу [«Сведения о приложении»][2] для экспорта правил, или для нескольких приложений используйте [пакетные операции][6].

_Смотрите также: [App Manager: спецификация правил][rules_spec]_

#### Экспорт
Экспорт правил блокировки для всех приложений, настроенных в App Manager. Они могут включать в себя [компоненты приложения][what_are_components], операции и разрешения приложения на основе того, какие параметры были выбраны в параметрах множественного выбора.

#### Импорт
Импорт ранее экспортированных правил блокировки из App Manager. Они могут включать в себя [компоненты приложения][what_are_components], операции и разрешения приложения на основе того, какие параметры были выбраны в параметрах множественного выбора.

#### Импорт существующих правил
Добавить компоненты, отключенные другими приложениями в App Manager. App Manager следит только за компонентами, отключенные с помощью App Manager. Если вы используете другие инструменты для блокировки компонентов приложения, вы можете использовать эти инструменты для импорта этих отключенных компонентов. При нажатии на эту опцию запускается поиск отключенных компонентов и выводится список приложений, компоненты которых отключены пользователем. В целях безопасности, все приложения не выбраны по умолчанию. Вы можете вручную выбрать приложения в списке и повторно применить блокировку через App Manager.

::: danger Предупреждение
Будьте осторожны при использовании этого инструмента, так как могут возникнуть негативные последствия. Выбирайте только те приложения, в которых вы уверены.
:::

#### Импорт из Watt
При импорте файлов конфигурации из [Watt][5], каждый файл содержит правила для одного пакета, а имя файла является именем пакета с расширением `.xml`.

::: tip
Расположение файлов конфигурации в Watt: <tt>/sdcard/Android/data/com.tuyafeng.watt/files/ifw</tt>
:::

#### Импорт из Blocker
При импорте правил блокировки из [Blocker][4], каждый файл содержит правила для одного пакета. Эти файлы имеют расширение `.json`.

### Удаление всех правил
Возможность одним щелчком удалить все правила, настроенные в App Manager. Она включит все заблокированные компоненты, значения операций приложений будут сброшены по умолчанию, и будут предоставлены все разрешения.

## Установщик приложения
Параметры установщика

### Показать пользователей в установщике
Для пользователей root/ADB будет показан список пользователей перед установкой приложения. Приложение будет установлено только для указанного пользователя (или всех пользователей, если выбрано).

### Подписать APK
Подписать APK файлы перед установкой приложения. Смотрите [Подписание APK](#подписание-apk) выше, чтобы настроить подписание.

### Место установки
Выберите место установки APK. Это могут быть вариаты _Авто_, _Только внутренняя память_ и _Предпочтительно внешняя память_. В зависимости от версии Android, последняя опция не всегда может установить приложение на внешний накопитель.

### Установщик приложения
Выберите приложение-установщик, что полезно для некоторых приложений, которые явно проверяют наличие установщика. Это работает только для пользователей root/ADB.

## Резервное копирование/восстановление
Настройки, относящиеся к [резервному копированию/восстановлению][backup_restore].

### Метод сжатия
Установите, какой метод сжатия будет использоваться во время резервного копирования. App Manager поддерживает методы сжатия GZip и BZip2, причем GZip является методом сжатия по умолчанию. Это не влияет на восстановление существующей резервной копии.

### Параметры резервного копирования
Настройка диалогового окна резервного копирования/восстановления.

### Резервное копирование приложений с хранилищем ключей Android
Разрешить резервное копию приложений, в которых есть записи в хранилище ключей Android (по умолчанию отключено). Некоторые приложения (например, Signal) могут аварийно завершить работу при восстановлении. Резервное копирование хранилища ключей также не работает с Android 9, но по-прежнему сохраняется, поскольку многие приложения, имеющие KeyStore, можно восстановить без проблем.

### Шифрование
Установка метода шифрования для резервных копий. В настоящее время AM поддерживает только OpenPGP.

::: warning Предупреждение
Начиная с версии 2.5.16, App Manager не запоминает идентификаторы ключей для конкретной резервной копии. Вы должны сами их запомнить. Это исправлено в версии 2.5.18.
:::

## Об устройстве
Отображает версию Android, безопасность, процессор, GPU, батарею, память, экран, языки, информацию о пользователе и т.д.

[1]: ./adb-over-tcp.md
[2]: ./app-details-page.md
[3]: ./app-details-page.md#вкладка-«о-приложении»
[4]: https://github.com/lihenggui/blocker
[5]: https://github.com/tuyafeng/Watt
[6]: ./main-page.md#пакетные-операции
[7]: ../faq/app-components.md#что-такое-глобальная-блокировка-компонентов
[what_are_components]: ../faq/app-components.md#что-такое-компоненты-приложения
[rules_spec]: ../tech/rules-specification.md
[backup_restore]: ./backup-restore.md
